.Na "bcp_done"
.mc |
.Aa
.Fu
End a bulk copy from program variables into \*S.
.Ih "bcp, end a bulk copy from program variables"
.Sy
.Sf "DBINT bcp_done(dbproc)"
.Sp "DBPROCESS" "*dbproc"
.Co
.Bl
\f2bcp_done()\f1 ends a bulk copy performed with
\f2bcp_bind()\f1 and \f2bcp_sendrow()\f1.
It should be called after the last call to \f2bcp_sendrow()\f1 or \f2bcp_moretext()\f1.
Failure to call \f2bcp_done()\f1 after you have completed copying in all
your data will result in unpredictable errors.
.Bl
For information on the \f2bcp\f1 utility program, see its manual page
in the \f2Commands Reference\f1.
.Bz
.Pa
.Pi dbproc
A pointer to the DBPROCESS structure that provides the connection
for a particular front-end/\*S process.  It contains all the
information that \*L uses to manage communications and data between the
front end and \*S.
.in -.375i
.Re
.br
The number of rows permanently saved since the last call
to \f2bcp_batch()\f1, or -1 in case of error.
.Sa
bcp_batch, 
bcp_bind, 
bcp_moretext,
bcp_sendrow
.mc
